#ifndef raduino_fc_h
#define raduino_fc_h

#include "Arduino.h"

class FC {
	public:
		FC(HardwareSerial & serial) : _serial (serial) {}
		void begin();
    int Event(); 
    void Tx(int roll, int pitch, int yaw, int throttle);
    void Bind(); 
    void Cali();
    void Trim(int roll, int pitch);
    void SetPIDkp(int roll, int pitch, int yaw);
    void SetPIDki(int roll, int pitch, int yaw);
    void SetPIDkd(int roll, int pitch, int yaw);
    byte RxValue[11];
    String inputString;         // a String to hold incoming data
    String retString;
    boolean stringComplete;  // whether the string is complete    
	private:
		HardwareSerial & _serial; 
};

#endif
